Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Class SwitchablePanelSwitchEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.event.SwitchablePanelSwitchEvent

All Implemented Interfaces:
  java.io.Serializable

    public class SwitchablePanelSwitchEvent

extends javax.faces.event.FacesEvent

Author:
  Nick Belaevski - nbelaevski@exadel.com created 23.01.2007
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SwitchablePanelSwitchEvent(javax.faces.component.UIComponent component, java.lang.Object value, javax.faces.component.UIComponent eventSource)`

Method Summary
`javax.faces.component.UIComponent` | `getEventSource()`
`java.lang.Object` | `getValue()`
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`void` | `processListener(javax.faces.event.FacesListener listener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SwitchablePanelSwitchEvent

    public SwitchablePanelSwitchEvent(javax.faces.component.UIComponent component,
                                      java.lang.Object value,
                                      javax.faces.component.UIComponent eventSource)

Method Detail

### getValue

    public java.lang.Object getValue()

### getEventSource

    public javax.faces.component.UIComponent getEventSource()

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

  Specified by:
    `isAppropriateListener` in class `javax.faces.event.FacesEvent`

### processListener

    public void processListener(javax.faces.event.FacesListener listener)

  Specified by:
    `processListener` in class `javax.faces.event.FacesEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.